Subject: Re: Virtual Memory for Apple II Using Focus Drive Card
From: [email-masked] (David Empson)
Date: Wed, 5 May 1999 01:56:04 +1200
Newsgroups: comp.sys.apple2.programmer

Obsbedia2 <[email-masked]> wrote:

> Neat idea!  Is it possible for an 8bit computer to act like a Mac? Of course!
> 
>       Feel free to shoot this down, but justify it.  After all, anything more that
> one Meg is just about impossible to find for an Apple IIe these days, but if a
> program could take advantage of an empty partition on a Focus Drive ... WOW!
> +32 Megs of RAM Memory on a fast Focus Card!

Well, maybe.  It isn't "virtual memory", because the computer doesn't
automatically map it into the address space of the processor.  You could
do some kind of memory swapping software (like many applications already
implement with large RAM cards), but it wouldn't be compatible with very
much.

A more compatible option would be to rewrite the Focus firmware to make
it look like a standard slot RAM card, but without the direct hardware
interface (i.e. just implement the SmartPort calls).  This wouldn't work
with programs that assume they can poke directly into the registers, but
it would allow some programs that support these cards to use the extra
memory.  It might be limited to 16 megabytes, however, due to addressing
limits.

A more limited option would be to rewrite an AppleWorks memory card
driver to use the Focus card (or any SmartPort hard drive, for that
matter - a DMA SCSI card should be just as fast as the Focus).
AppleWorks could then treat a hard drive partition as a virtual address
space.

Now, assuming you had gone to all that trouble...

What on earth are you going to _do_ with 32MB of rather slow RAM in a
IIe?

-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand